Loading...
Searching...
No Matches
GridHandle.h File Reference

Defines two classes, a GridRegister the defines the value type (e.g. Double, Float etc) of a NanoVDB grid, and a GridHandle and manages the memory of a NanoVDB grid. More...

`#include "../NanoVDB.h"`
`#include "HostBuffer.h"`

Go to the source code of this file.

## Classes

class | GridHandleBase
class | GridHandle< BufferT >
| This class serves to manage a raw memory buffer of a NanoVDB Grid. More...

## Namespaces

namespace | nanovdb

## Detailed Description

Defines two classes, a GridRegister the defines the value type (e.g. Double, Float etc) of a NanoVDB grid, and a GridHandle and manages the memory of a NanoVDB grid.

Author
  Ken Museth

Date
  January 8, 2020

Note
  This file has NO dependency on OpenVDB.